//+------------------------------------------------------------------+
//|                                              Cycle Composite.mq4 |
//|                             Copyright  2011, PriceMasterPro.Com |
//|                                    http://www.pricemasterpro.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, PriceMasterPro.Com"
#property link      "http://www.pricemasterpro.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
//--- input parameters
extern string info2                  ="composite settings";
extern bool   Use_M5_Cycle=true;
extern bool   Use_M15_Cycle=false;
extern bool   Use_M30_Cycle=false;
extern bool   Use_H1_Cycle=false;
extern bool   Use_H4_Cycle=false;
extern bool   Use_D1_Cycle=false;
extern bool   Use_W1_Cycle=false;
extern string info1                  = "Geortzel Browser Settings";
extern int    WindowSizeFuture       = 100;
extern int    UseTopCycles           = 2;



//--- buffers

double ExtMapBuffer1[];
double Cycle_Sum[];
double G5;
double G15;
double G30;
double GH1;
double GH4;
double GD1;
double GW1;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int limit,i,k;

   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
           limit = MathMin(Bars-counted_bars,Bars-1);
//----
         for (i=0; i<WindowSizeFuture; i++)
         {
         double Cycle1=0;
         double Cycle2=0;
         double Cycle3=0;
         double Cycle4=0;
         double Cycle5=0;
         double Cycle6=0;
         double Cycle7=0;
         
         if (Use_M5_Cycle==True) Cycle1=iCustom(NULL,PERIOD_M5,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,G5,1,DimGray,PaleVioletRed,true,0,1,i);            else {Cycle1=EMPTY_VALUE;}
         if (Use_M15_Cycle==True) Cycle1=iCustom(NULL,PERIOD_M15,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,G15,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle2=EMPTY_VALUE;}
         if (Use_M30_Cycle==True) Cycle1=iCustom(NULL,PERIOD_M30,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,G30,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle3=EMPTY_VALUE;}
         if (Use_H1_Cycle==True)  Cycle1=iCustom(NULL,PERIOD_H1,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,GH1,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle4=EMPTY_VALUE;}
         if (Use_H4_Cycle==True)  Cycle1=iCustom(NULL,PERIOD_H4,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,GH4,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle5=EMPTY_VALUE;}
         if (Use_D1_Cycle==True)  Cycle1=iCustom(NULL,PERIOD_D1,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,GD1,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle6=EMPTY_VALUE;}
         if (Use_W1_Cycle==True)  Cycle1=iCustom(NULL,PERIOD_W1,"Geortzel browser 5",0,1,1,UseTopCycles,true,false,true,120,0,100,100,PaleVioletRed,STYLE_DOT,0,false,1,1,1,1,1,0,false,true,GW1,1,DimGray,PaleVioletRed,true,0,1,i);  else {Cycle7=EMPTY_VALUE;}
         
         Cycle_Sum[i] = Cycle1+Cycle2+Cycle3+Cycle4+Cycle5+Cycle6+Cycle7;
         
         ExtMapBuffer1[i]=Cycle_Sum[i];
         }
         
        

//----
   return(0);
  }
//+------------------------------------------------------------------+